### Method

# GtkSource SearchSettings set_search_text

#### Declaration [src]

    void
    gtk_source_search_settings_set_search_text (
      GtkSourceSearchSettings* settings,
      const gchar* search_text
    )

#### Description [src]

Sets the text to search.

If `search_text` is `NULL` or is empty, the search will be disabled. A copy of `search_text` will be made, so you can safely free `search_text` after a call to this function.

You may be interested to call `gtk_source_utils_unescape_search_text()` before this function.

Sets property | `GtkSource.SearchSettings:search-text`

#### Parameters

`search_text`

  Type: `const gchar*`

  The nul-terminated text to search, or `NULL` to disable the search.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.